from django.contrib import admin
from django.urls import path
from .views import home_view, AuthorList, BookList, AuthorView, BookView


urlpatterns = [
   path('home/',home_view, name = 'home_view'),
   path('authors/', AuthorList.as_view(), name = 'authors'),
   path('books/', BookList.as_view(), name = 'books'),
   path('authors/<int:pk>/details/', AuthorView.as_view(), name = 'author_details'),
   path('books/<int:pk>/details/', BookView.as_view(), name = 'book_details'),
]

app_name = "bookshelf"